ReferenceAPI referenceConfiguration
Replace instance-level agent defaults
Requires ADMIN or SUPER_USER. Repository settings inherit these values unless their matching category is overridden.
PUT
/organizations/{organization_id}/configurationRequires ADMIN or SUPER_USER. Repository settings inherit these values unless their matching category is overridden.
tasuku_session<token>
In: cookie
Path Parameters
organization_id*string
Length
1 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/organizations/string/configuration" \ -H "Content-Type: application/json" \ -d '{ "agent_provider": "CODEX", "reasoning_effort": "low", "sandbox_provider": "DOCKER", "sandbox_config": {}, "review_policy": { "review_drafts": true, "review_on_open": true, "review_on_push": true, "review_on_reopen": true, "review_on_ready": true, "max_changed_files": 1, "comment_limit": 1, "strictness": "LOW", "excluded_authors": [ "string" ], "excluded_paths": [ "string" ] } }'Empty